Type TElement
	
	Field Name:String
	Field Parameters:String
	Field ContentStart:Int
	Field ContentSize:Int
	
	Function Create:TElement( Name:String, Parameters:String, ContentStart:Int, ContentSize:Int )
		Local A:TElement = New TElement
		A.Name = Name
		A.Parameters = Parameters
		A.ContentStart = ContentStart
		A.ContentSize = ContentSize
		Return( A )
	End Function
	
	Method GetContent:String( Str:String )
		Return Mid( Str, Self.ContentStart, Self.ContentSize )
	End Method
	
	Method GetParameter:String( Str:String )
		Local ParamName:String = " " + Str + "=" + Chr( 34 )
		Local Find:Int = Instr( Lower( Self.Parameters ), ParamName )
		Local FindLast:Int = Instr( Lower( Self.Parameters ), Chr( 34 ), Find + Len( ParamName ) )
		Return Mid( Self.Parameters, Find + Len( ParamName ), FindLast - (Find + Len( ParamName )) )
	End Method
	
End Type