Type THTMLGenerator
	
	Function LoadTemplate:String()
		Local Data:String = ""
		Local File:TStream = ReadFile( "html\template.html" )
			While Not Eof( File )
				Data = Data + Chr( ReadByte( File ) )
			Wend
		CloseFile( File )
		Return Data
	End Function
	
	Function Generate( URL:String )
		Local Template:String = LoadTemplate()
		
		Local Data:String = ""
		For Local A:TCommand = EachIn TCommand.List
			Data = Data + "<tr><td class=docleft width=1%><a href=#" + A.Name + ">" + A.Name + "</a></td><td class=docright>" + A.CommandInfo + "</td></tr>" + Chr( 13 )
		Next
		
		Template = Replace( Template, "<!--LIST-->", Data )
		
		Data = ""
		For Local A:TCommand = EachIn TCommand.List
			Data = Data + "<table class=doc width=100% cellspacing=3 id=" + A.Name + ">"
			Data = Data + "<tr><td class=doctop colspan=2>" + A.Command + "</td></tr>"
			Data = Data + "<tr><td class=docleft width=1%>Description</td><td class=docright>" + A.Description + "</td></tr>"
			Data = Data + "<tr><td class=docleft width=1%>Wiki</td><td class=docright><a href='http://" + A.URL + "'>" + A.Name + "</a></td></tr>"
			Data = Data + "</table>" + Chr( 13 )
		Next
		
		Template = Replace( Template, "<!--FUNCTIONS-->", Data )
		
		Local File:TStream = WriteFile( URL )
			WriteLine( File, Template )
		CloseFile( File )
	End Function
	
End Type